Search Results for

Show / Hide Table of Contents

#

### Classes

#### Boolean

A Value representing a boolean value.

#### FloatingPoint

A Value representing a floating point value. This may hold a Decimal's worth of data.

#### Integer

A Value representing an integer. This may hold a Int64's worth of data.

#### List

A list of Values for serialization by an IConfigProvider. Use List() or From(IEnumerable<Value>) to create.

#### Map

A ordered map of String to Value for serialization by an IConfigProvider. Use Map() or From(IDictionary<String, Value>) to create.

#### Text

A Value representing a piece of text. The only reason this is not named String is so that it doesn't conflict with String.

#### Value

A base value type for config data abstract representations, to be serialized with an IConfigProvider. If a Value is null, then that represents just that: a `null` in whatever serialization is being used. Also contains factory functions for all derived types.